# eric3.Wizards.PyRegExpWizard.PyRegExpWizardCharactersDialog

Module implementing a dialog for entering character classes.

### Classes

PyRegExpWizardCharactersDialog | Module implementing a dialog for entering character classes.

### Functions

None

## PyRegExpWizardCharactersDialog

Module implementing a dialog for entering character classes.

### Derived from

PyRegExpWizardCharactersForm

### Methods

PyRegExpWizardCharactersDialog | Constructor
addRangesLine | Private slot to add a line of entry widgets for character ranges.
addSinglesLine | Private slot to add a line of entry widgets for single characters.
formatCharacter | Private method to format the characters entered into the dialog.
getCharacters | Public method to return the character string assembled via the dialog.
handleRangesCharTypeSelected | Private slot to handle the activated(int) signal of the char ranges combo boxes.
handleSinglesCharTypeSelected | Private slot to handle the activated(int) signal of the single chars combo boxes.
performSelectedAction | Private method performing some actions depending on the input.

### PyRegExpWizardCharactersDialog (Constructor)

PyRegExpWizardCharactersDialog(parent = None)

Constructor

parent
  parent widget (QWidget)

### PyRegExpWizardCharactersDialog.addRangesLine

addRangesLine()

Private slot to add a line of entry widgets for character ranges.

### PyRegExpWizardCharactersDialog.addSinglesLine

addSinglesLine()

Private slot to add a line of entry widgets for single characters.

### PyRegExpWizardCharactersDialog.formatCharacter

formatCharacter(index, char)

Private method to format the characters entered into the dialog.

char
  character string enetered into the dialog (string)
index
  selected list index (integer)

Returns:
  formated character string (string)

### PyRegExpWizardCharactersDialog.getCharacters

getCharacters()

Public method to return the character string assembled via the dialog.

Returns:
  formatted string for character classes (string)

### PyRegExpWizardCharactersDialog.handleRangesCharTypeSelected

handleRangesCharTypeSelected(index)

Private slot to handle the activated(int) signal of the char ranges combo boxes.

index
  selected list index (integer)

### PyRegExpWizardCharactersDialog.handleSinglesCharTypeSelected

handleSinglesCharTypeSelected(index)

Private slot to handle the activated(int) signal of the single chars combo boxes.

index
  selected list index (integer)

### PyRegExpWizardCharactersDialog.performSelectedAction

performSelectedAction(index, lineedit)

Private method performing some actions depending on the input.

index
  selected list index (integer)
lineedit
  line edit widget to act on (QLineEdit)

Up